#include "QCBAdapter.h"

int main(int argc, char **argv)
{
	QApplication app(argc, argv);
	QCBAdapter * adapter = new QCBAdapter(&app);
	QDBusConnection connection = QDBusConnection::connectToBus(QDBusConnection::SessionBus, "DBus.Manager.QClipboard");
	if (connection.isConnected())
		printf("Соединение установлено\n");
	if (!connection.registerService("DBus.Manager.QClipboard")) {
		printf("Не могу зарегистрировать сервис\n");
		exit(1);
	}
	if (!connection.registerObject("/QClipboard", adapter,QDBusConnection::ExportAllContents)) {
		printf("Не могу зарегистрировать объект\n");
		exit(1);
	}
       app.exec();
 }
